# Status Updates

- [Order/Warehouse Events](https://docs.parcellab.com/docs/developers/v2/status-updates/send-shop-events.md): Our API provides you with great flexibility and scope to retrieve and send data as you need. In this case, sending a custom event/checkpoint to be displayed in the order status history for a tracking.
- [Checkpoints](https://docs.parcellab.com/docs/developers/v2/status-updates/checkpoints.md): Our API allows you to retrieve the current status of a tracking or order with ease.
- [Order Status Page Configuration](https://docs.parcellab.com/docs/developers/v2/status-updates/configuration.md): Configure a fully embedded Order Status page in your shop with all the relevant delivery status information and customizable content to promote your brand.
- [Order Status Page Version Upgrade](https://docs.parcellab.com/docs/developers/v2/status-updates/configuration/version-upgrade.md): Upgrade your tracking plugin to expand your Order Status page to its full capability with added customization options.
- [Retrieving the Security Hash](https://docs.parcellab.com/docs/developers/v2/status-updates/configuration/retrieving-the-security-hash.md): The URL of the Order Status page generated by the parcelLab system contains a parameter with a security hash. This allows our system to detect that the viewer of the page is in fact the recipient.
- [Chatbots](https://docs.parcellab.com/docs/developers/v2/status-updates/chatbots.md): Our API allows you to retrieve the current status of an order or parcel in any kind of customer facing widget, like chatbots, with a single HTTPS call.
- [Enabling Carrier and Communication Ratings](https://docs.parcellab.com/docs/developers/v2/status-updates/chatbots/enabling-carrier-and-communication-ratings.md): Our API enables you to transmit carrier and communication ratings to parcelLab.
- [Apps](https://docs.parcellab.com/docs/developers/v2/status-updates/apps.md): Our API allows you to retrieve the current status of an order or parcel in any kind of native or web app, with a single HTTPS call.
- [Apple Wallet](https://docs.parcellab.com/docs/developers/v2/status-updates/apple-wallet.md): Our API allows you to provide real-time order tracking updates directly into your customers’ Apple Wallet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/status-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
